LibreOffice: ReadWriteAccess Service Reference

LibreOffice LibreOffice 6.0 SDK API Reference

Public Member Functions | List of all members
ReadWriteAccess Service Reference

Provides easy read/write access to the complete configuration. More...

`import"ReadWriteAccess.idl";`

Inheritance diagram for ReadWriteAccess:

## Public Member Functions
| create ([in] string locale)
| Service constructor. More...
Public Member Functions inherited from XHierarchicalNameReplace
void | replaceByHierarchicalName ([in] string aName, [in] any aElement) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
| replaces the element at the specified name. More...
Public Member Functions inherited from XHierarchicalNameAccess
any | getByHierarchicalName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException )
boolean | hasByHierarchicalName ([in] string aName)
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XChangesBatch
void | commitChanges () raises ( com::sun::star::lang::WrappedTargetException )
| commits any pending changes. More...
boolean | hasPendingChanges ()
| checks whether this object has any pending changes that can be committed. More...
ChangesSet | getPendingChanges ()
| queries for any pending changes that can be committed. More...
Public Member Functions inherited from XHierarchicalPropertySetInfo
com::sun::star::beans::Property | getPropertyByHierarchicalName ([in] string aHierarchicalName) raises ( com::sun::star::beans::UnknownPropertyException )
boolean | hasPropertyByHierarchicalName ([in] string aHierarchicalName)

## Additional Inherited Members
Exported Interfaces inherited from XReadWriteAccess
interface | com::sun::star::container::XHierarchicalNameReplace
interface | com::sun::star::util::XChangesBatch
interface | com::sun::star::beans::XHierarchicalPropertySetInfo

## Detailed Description

Provides easy read/write access to the complete configuration.

This service is still unpublished and unstable.

Since
  LibreOffice 4.0

## Member Function Documentation

## ◆ create()

create | ( | [in] string | locale | ) |

Service constructor.

Parameters

  locale | a string representation of the locale to use for localized properties; use `*` for all-locale access

The documentation for this service was generated from the following file:

- com/sun/star/configuration/ReadWriteAccess.idl